# class Raven::Rails::BacktraceCleaner

### Constants

APP_DIRS_PATTERN
RENDER_TEMPLATE_PATTERN

### Public Class Methods

new() click to toggle source
Calls superclass method

    # File sentry-raven/lib/raven/integrations/rails/backtrace_cleaner.rb, line 10
    def initialize
      super
      # we don't want any default silencers because they're too aggressive
      remove_silencers!

      @root = "#{Raven.configuration.project_root}/"
      add_filter do |line|
        line.start_with?(@root) ? line.from(@root.size) : line
      end
      add_filter do |line|
        if line =~ RENDER_TEMPLATE_PATTERN
          line.sub(RENDER_TEMPLATE_PATTERN, "")
        else
          line
        end
      end
    end